echo off
cls

echo                         
echo                         THE PERSONAL CONTACTS MANAGER
echo                         
echo 
echo                     Archive: Hard Disk to Diskette Copy
echo                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo               This program is similar to TOFLOPPY.BAT. It
echo               backs up your entire Contacts Manager System
echo               from your hard disk (C: drive) onto one blank
echo               diskette in your A: drive. It uses an archived
echo               format which reduces the required disk space.
echo 
echo               The program on your hard disk will remain intact.
echo 
echo 
echo               Now insert a blank, formatted disk into drive A.
echo 
echo                  Then press the  or ENTER key when ready.
echo 
echo 
echo               To abort at any time, press CTRL and C together.
echo                        (Own copy of PKARC.COM required.)

pause >NUL

c:
cd c:\
if not exist contacts.exe   cd c:\contacts       >NUL

if not exist pkarc.com goto NOARC
if not exist pkxarc.com goto NOARC


cls
echo                       The archive will now be created.
echo 
echo                   Please watch and wait for a few minutes...
echo 

if exist contacts.arc erase contacts.arc
pkarc a CONTACTS.ARC



:TRANSFER
cls
echo               The archived file is being copied to your A drive.
echo 
echo                           Please wait a few minutes...

if exist a:*.*     if exist Y       erase a:\*.* <Y  >NUL

copy contacts.arc   a:            >NUL
copy unfold.bat     a:            >NUL
copy pkxarc.com     a:            >NUL

if not exist a:\contacts.arc goto MINSIZE
if not exist a:\unfold.bat   goto MINSIZE
if not exist a:\pkxarc.com   goto MINSIZE
GOTO PREFIN


:PREFIN
if not exist a:\contacts.arc goto TOOBIG
if not exist a:\unfold.bat   goto TOOBIG
if not exist a:\pkxarc.com   goto TOOBIG
GOTO SUCCESS


:SUCCESS
c:
cd c:\
cls
echo 
echo                Your diskette now contains an arced copy of the system.
echo 
echo                The 3 files CONTACTS.ARC, UNFOLD.BAT and PKXARC can be
echo                kept as backup or to install a new copy of the Contacts
echo                Manager by typing A: UNFOLD .

echo 
GOTO END


:NOARC
c:
cd c:\
cls
echo 
echo                     Two programs called PKARC.COM and PKXARC.COM
echo                     are required to use the archive functions.
echo                     They should be located in your current directory.
echo 
echo                     Please use TOFLOPPY.BAT instead. This will
echo                     give you a genuine DOS copy onto 2 diskettes.
echo 
echo                     Now press your  or ENTER key to exit please.
pause >NUL
echo 
GOTO END


:MINSIZE
cls
echo 
echo                 The program is trying to reduce your CONTACTS.ARC
echo                 file so that it will fit onto a 360K diskette.
echo 
echo                 Two duplicate files, UNFOLD.BAT and PKXARC.COM are
echo                 being excluded from the archive.
echo 
echo 
echo                            Please watch and wait ...
echo 
echo 

pkarc d contacts unfold.bat
pkarc d contacts pkxarc.com
if exist letter  pkarc d contacts letter

cls
echo             The archived file is being copied to your A drive.
echo 
echo                         Please wait a few minutes...

if exist a:*.*     if exist Y       erase a:\*.* <Y  >NUL

copy contacts.arc   a:            >NUL
copy unfold.bat     a:            >NUL
copy pkxarc.com     a:            >NUL
GOTO PREFIN


:TOOBIG
cls
echo 
echo 
echo 
echo                   The file CONTACTS.ARC has been successfully created.
echo 
echo                   However, the files appear to be too big to fit onto
echo                   a single floppy diskette. You require the files
echo                   CONTACTS.ARC, UNFOLD.BAT and PKXARC.COM.
echo 
echo                   There are 2 possible solutions:
echo 
echo                   1. You could use TOFLOPPY.BAT to create your backup
echo                      copies instead of using ARCHIVE.BAT.
echo 
echo                   2. You could CLEAR the data bank from within the
echo                      Contacts Manager program under the maintenance
echo                      menu. This will reduce the file size considerably.
echo                      Then run the ARCHIVE.BAT program again.
echo 
echo                   TOFLOPPY.BAT will create a genuine DOS copy of
echo                   all the necessary files onto 2 or 3 diskettes.
echo 
echo 
GOTO END





:END
